mkht.php is a PHP script for building Gemini, Markdown and HTML/CSS sites from source documents in Gemini, Markdown, HTML, PHP, CSS and Less.

# Usage

Place your pages tree in `/src/*/*.(gmi|md)`.

Optionnal files:
`/config.ini`
`/style.less`
`/logo.png`
`/head.inc.html`
`/footer.inc.html`

`mkht.php <site path> <destination >`

`destination` is optionnal and can be:
* `dns` if you want local links without exensions
* `onion` if you want links ending with .onion when available

# Input

Pages in `/src`can use Gemini (if using `gmi` extension), Markdown, HTML and PHP.

# Output

`/*/*.gmi` (if using `.gmi` extension in /src)
`/*/*.md`
`/*/*.html`
`/*/*.gz`

# External dependencies

* PHP
* gzip
* find

# Internal libraries used

| Name      | Description                 | Source                                     |
| --------- | --------------------------- | ------------------------------------------ |
| less.php  | Compilateur Less en PHP     | https://github.com/wikimedia/less.php      |
| parsedown | Compilateur Markdown en PHP | https://parsedown.org                      |

# License

AGPLv3+